Create itemTranslation
Create a itemTranslation object in Business Central.
HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline.
POST {businesscentralPrefix}/companies({id})/itemTranslationsWebCon
Request headers
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
| Content-Type | application/json |
Request body
In the request body, supply a JSON representation of itemTranslationWebCon object.
Response
If successful, this method returns 201 Created response code and a itemTranslation object in the response body.
Example
Request
Here is an example of a request.
POST https://{businesscentralPrefix}/companies({id})/itemTranslationsWebCon
Content-type: application/json
{
"itemNo": "1908-S",
"languageCode": "ENU",
"description": "Englisch Item Name"
}
Response
Here is an example of the response.
Note
The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.
{
"id": "c04d1302-c145-ee11-a0d4-fb19db2bac79",
"itemNo": "1908-S",
"languageCode": "ENU",
"description": "Englisch Item Name",
"description2": "",
"variantCode": ""
}
See also
Tips for working with the APIs
itemTranslation
Get itemTranslation
Delete itemTranslation
Update itemTranslation